<?php
include '../constants.php';
include '../util.php';
?>

<!DOCTYPE HTML>
<html lang="en">
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8">
  <title>MoBro Screensaver Preview</title>

  <link rel="stylesheet" href="//use.fontawesome.com/releases/v5.8.0/css/all.css">

  <link rel="shortcut icon" href="../resources/favicon.ico" type="image/x-icon"/>

  <link href="../vendor/bootstrap.min.css" rel="stylesheet"/>

  <script src="../vendor/jquery-3.3.1.slim.min.js"></script>
  <script src="../vendor/moment.min.js"></script>
  <script src="../vendor/moment-timezone-with-data-10-years.min.js"></script>

  <style>
body {
	background: linear-gradient(-45deg, #FF003C, #e73c7e, #3B0099, #23005B);
	background-size: 400% 400%;
	animation: gradient 5s ease infinite;
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

	@font-face {
  	font-family: "San Francisco";
 	font-weight: 400;
 	src: url("fonts/sanfranciscodisplay-regular-webfont.woff");
	}



    #date {
      color: white;
      text-align: center;
      font-size: 44px;
       margin-top: 30px;
      font-family: "San Francisco";
    }

    #clock {
      color: white;
      text-align: center;
      font-size: 60px;
      margin-top: 30px;
      font-weight: bold;
      font-family: "San Francisco";
    }

    hr {
      border-top: 1px solid white;
    }

   h2 {
      color: white;
      text-align: center;
      font-size: 30px;
      margin-top: 20px;
      font-family: "San Francisco";
    }

    h1 {
      color: white;
      text-align: center;
      font-size: 60px;
      margin-top: 9%;
      margin-bottom: 40px;
      font-weight: bolder;
      font-family: "San Francisco";
    }

  </style>
</head>
<body>

<div class="container">
  <h1><i class="fab fa-apple"></i> iMac Pro</h1>
  <hr>
  <div id="clock"></div>
  <hr>
  <div id="date"></i></div>
</div>

<script type="text/javascript">
  let timezone = 'UTC';
  <?php
  $tz = getOrDefault(parseProperties(Constants::FILE_MOBRO_CONFIG_READ)['localization_timezone'], 'UTC');
  echo "timezone = '$tz';";
  ?>

  function displayTime() {
    console.log(timezone)
    $('#date').html(moment().tz(timezone).format('dddd, MMMM D, YYYY'));
    $('#clock').html(moment().tz(timezone).format('HH:mm:ss'));
    setTimeout(displayTime, 1000);
  }

  $(document).ready(function () {
    displayTime();
  });
</script>

</body>
</html>
